import { motion, type HTMLMotionProps } from "motion/react";
import clsx, { type ClassValue } from "clsx";

import classes from "./RedSurface.module.css";

type Props = Omit<HTMLMotionProps<"div">, "className"> & {
  className?: ClassValue;
};

export default function RedSurface(props: Props) {
  return <motion.div {...props} className={clsx(classes.redSurface, props.className)} />;
}

export function RedSurfaceContent(props: Props) {
  return <motion.div {...props} className={clsx(classes.redSurfaceContent, props.className)} />;
}
